algorithmic modeling for Rhino
Tags:
For j As Integer = 0 To obj_list.Count() - 1
Dim obj As GeometryBase = obj_list(j)
Dim t As Integer = obj.ObjectType
Dim o_id As Object = ""
If t = 16 Then
o_id = doc.Objects.AddBrep(obj, att)
ElseIf t = 32 Then
o_id = doc.Objects.AddMesh(obj, att)
ElseIf t = 1 Then
o_id = doc.Objects.AddPoint(obj, att)
ElseIf t = 4 Then
o_id = doc.Objects.AddCurve(obj, att)
Else
print("I'm not sure what kind of geometry is coming in the input. Try turning it into a Point, Curve, Mesh, or Brep before the input.")
Return
End If
Error: Overload resolution failed because no accessible 'AddPoint' can be called with these arguments.
o_id = doc.Objects.AddPoint(obj, att)
If TypeOf x Is Brep Then
'...
End If
o_id = doc.Objects.AddPoint(DirectCast(obj, Rhino.Geometry.Point).Location, att)
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by